For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

Execute a simulation suite

||View as Markdown|
POST
/simulation_suites/:suite_id/execute
POST
/v2/simulation_suites/:suite_id/execute
$curl -X POST "https://api.synthflow.ai/v2/simulation_suites/suite_id/execute?target_agent_id=target_agent_id" \
> -H "Authorization: Bearer <token>"
1{
2 "session_id": "string",
3 "suite_id": "string",
4 "suite_name": "string",
5 "total_cases": 1,
6 "status": "string"
7}

Execute all test cases in a suite. The suite runs on the agent it was created for (determined by the suite’s model_id).

Was this page helpful?
Previous

Create a simulation scenario

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

suite_idstringRequired
Simulation suite ID.

Query parameters

target_agent_idstringRequired

Target agent ID. Must match the suite’s model_id.

max_turnsintegerOptional10-50Defaults to 20
Maximum number of turns per simulation.

Response

200
session_idstringformat: "uuid"
suite_idstringformat: "uuid"
suite_namestring
total_casesinteger
statusstring

Errors

400
Bad Request Error
404
Not Found Error